<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_ba88e10a3b13be070866b09b" . "fbb6142c" => base64_decode("Y2FsZW5kYXJfZWRpdA" . "=="), "_fc6b6c947f" . "57732843e2e" . "784470ad46f" => base64_decode("cmJfdGltZQ=" . "="), "_be8ffbbf7ecb" . "1910c0f863947" . "6d66e7e" => base64_decode("VVBEQVRFIHJiX2NvbmZpcm0gU0VUIHVzZXJfaWQ9aW50Om5ld191aWQgV0hFUkUgd" . "XNlcl9pZD1pbnQ6b2xkX3VpZA=="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1z" . "Zw=="), "_d59435061a43acf823638d7544" . "4f43f9" => base64_decode("REVMRVRFIEZST00gcmJfZXZlbnRzIFdIRVJFIGlkIElOIChTRUxFQ1Qgb2JqX2lkIEZST00gcmJfb" . "Glua3MgV0hFUkUgdHlwZT0nb3duZXInIEFORCB2YWw9aW50OnVpZCBBTkQgYm9va2luZz0xKQ=="), "_2436631adb30c9334360c857c2" . "83655e" => base64_decode("VVBEQVRFIHJiX2xpbmtzIFNFVCB2YWw9aW50" . "Om5ld191aWQgV0hFUkUgdHlwZT0nb3duZXIn" . "IEFORCB2YWw9aW50Om9sZF91aWQ="), "_0c817908e7d93ce20" . "01d532177b39567" => base64_decode("cmJfZGF0ZV9mb3JtX2RpYWxvZ19zdHJpbm" . "c="), "_66680e34e2cae6a0801bf9988" . "ff68a82" => base64_decode("REVMRVRFIEZST00gcmJfY29uZmlybSBXSEVSRSB1c2VyX2lkPWludDp" . "1aWQ="), "_78b508c822621d7c4777ed" . "7b8394c1d1" => base64_decode("cmJfZ" . "WRpdF" . "9ldmV" . "udA=="), "_4094d48ee4a" . "46e946566af3" . "fe8337494" => base64_decode("ZGF0ZV" . "9kYXRl"), "_7f628626dd1d55c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYXJyYX" . "k="), "_c06c961f393742e" . "cfd52b72263ac947" . "0" => base64_decode("aW50" . "dmFs"), "_818943b6bc83aa09db98f48e" . "5c8344cf" => base64_decode("cm9vbXMucmJ0b29sa2l0LnNldF9kaWFncmFtX2VkZ2VzX2" . "JlZm9yZV9jYWxs"), "_f945051f91" . "89ca77f5b5e" . "d881562f129" => base64_decode("Y2ZnX2RlZmF1bHRfcm9v" . "bV9ib29raW5nX3ZpZXc="), "_524af00542d2a2eaf8ced927e95" . "b2be2" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdHlwZT0nb3duZXInIEFORC" . "B2YWw9aW50OnVpZA=="), "_6b63966ac430b54299bf53effb37363" . "8" => base64_decode("cmJfaGVscF" . "9zdGF0dXM="));
use Claromentis\Rooms\RoomsApplication;








class RBToolKit
{
    
    
    
    
    protected $calendar_mode = false;
    
    
    
    
    
    
    protected $diagram_length;
    
    
    
    
    protected $date_period_dialog;
    
    
    
    
    
    
    protected $checked_facilities = array();
    
    
    
    
    
    
    protected $checked_rooms = array();
    
    
    
    
    protected $rooms_and_facs_check_states;
    
    
    
    
    
    
    protected $diagram_edge_array;
    
    
    
    
    
    
    protected $date_point;
    
    
    
    
    
    
    protected $event_id = false;
    
    
    
    
    
    
    protected $vline_status = false;
    protected $message;
    
    
    
    
    
    public function __construct()
    {
        $this->date_point = new Date();
        $this->LoadDateDialogFromSession();
    }
    
    
    
    
    
    
    
    public function InitDateDialog($_bb89dde5b10b01db057b29b411397459)
    {
        $this->SetDatePeriodDialog(new RBDatePeriodDialog($_bb89dde5b10b01db057b29b411397459));
    }
    protected function LoadDateDialogFromSession()
    {
        $_74c89f1628eb5b0bca39b50e92340e2e = new RBDatePeriodDialog();
        if (isset($_SESSION[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c817908e7d93ce2001d5321" . "77b39567"]])) {
            $_74c89f1628eb5b0bca39b50e92340e2e->LoadFromString($_SESSION[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c817908e7d" . "93ce2001d532" . "177b39567"]]);
        }
        $this->SetDatePeriodDialog($_74c89f1628eb5b0bca39b50e92340e2e);
    }
    public function ResetStateToDefault()
    {
        unset($_SESSION[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fc6b6c947f5" . "7732843e2e78" . "4470ad46f"]]);
        unset($_SESSION[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6b63966ac430b54299bf53effb" . "373638"]]);
        unset($_SESSION[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ba88e10a3b13be" . "070866b09bfbb61" . "42c"]]);
        unset($_SESSION[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_78b508c822621d7c4777ed7" . "b8394c1d1"]]);
        $this->SetDatePeriodDialog(new RBDatePeriodDialog());
        $this->GetDatePeriodDialog()->InitDefaultDateForm();
        return true;
    }
    
    
    public function IsCalendarMode()
    {
        return (bool) $this->calendar_mode;
    }
    
    
    
    
    
    public function GetDatePeriodDialog()
    {
        return $this->date_period_dialog;
    }
    public function GetDiagramLength()
    {
        $config = RoomsApplication::getConfig();
        if (isset($this->diagram_length)) {
            return $this->diagram_length;
        }
        return $config->Get($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_f945051f9189ca" . "77f5b5ed881562f" . "129"]);
    }
    public function GetCheckedFacilities()
    {
        return (array) $this->checked_facilities;
    }
    public function GetCheckedRooms()
    {
        return (array) $this->checked_rooms;
    }
    public function GetDiagramEdges()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c"]($this->diagram_edge_array)) {
            return $this->diagram_edge_array;
        }
        throw new Exception($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_818943b" . "6bc83aa0" . "9db98f48" . "e5c8344c" . "f"]));
    }
    
    
    
    
    public function GetDatePoint()
    {
        return $this->date_point;
    }
    public function GetMessage()
    {
        return $this->message;
    }
    public function GetEventId()
    {
        return (int) $this->event_id;
    }
    
    
    
    
    
    
    public function GetVlineStatus()
    {
        return $this->vline_status;
    }
    
    
    
    
    
    public function SetCalendarMode()
    {
        $this->calendar_mode = true;
    }
    public function SetEventId($_697c39cdce3e4154b716cdd3b4e80ff5)
    {
        $this->event_id = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c06c961f393742ecfd52b72263ac9" . "470"]($_697c39cdce3e4154b716cdd3b4e80ff5);
    }
    public function SetDatePeriodDialog($_7a88ba74ced2f19e964be742dd8dea0a)
    {
        $this->date_period_dialog = $_7a88ba74ced2f19e964be742dd8dea0a;
        $this->date_period_dialog->SetPrefix($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4094d48ee" . "4a46e94656" . "6af3fe8337" . "494"]);
        $this->SaveStateInSession();
    }
    public function SetCheckedFacilities($_c69e64e4b9c0ecbfadfea584ad635db0)
    {
        foreach ((array) $_c69e64e4b9c0ecbfadfea584ad635db0 as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $this->checked_facilities[$key] = 1;
        }
    }
    public function SetCheckedRooms($_48deb5995944b7c5927dfe5f7ddae452)
    {
        $this->checked_rooms = $_48deb5995944b7c5927dfe5f7ddae452;
    }
    public function SetDiagramLength($_1277d1ba63ac9b18f13125dc66368c02)
    {
        $this->diagram_length = $_1277d1ba63ac9b18f13125dc66368c02;
    }
    public function SetDiagramEdges(Date $_ccd9e402149a4aff4a20de187781aa41, Date $_ef3a72fcbe857b2afe45cb9d8cafb253)
    {
        $this->diagram_edge_array = array($_ccd9e402149a4aff4a20de187781aa41, $_ef3a72fcbe857b2afe45cb9d8cafb253);
    }
    public function SetDatePoint(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->date_point = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetMessage($message)
    {
        $this->message = $message;
    }
    
    
    
    
    
    
    public function SetVlineStatus($status)
    {
        $this->vline_status = (bool) $status;
    }
    
    
    public function SaveStateInSession()
    {
        $_SESSION[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c817908e7d" . "93ce2001d532" . "177b39567"]] = $this->date_period_dialog->CreateSaveString();
    }
    
    
    
    
    
    
    
    public static function DeleteUser($user_id, $_2b54660b2595d6c73e7cccac2a759239)
    {
        global $db;
        if ($_2b54660b2595d6c73e7cccac2a759239) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2436631adb30c9334360c857" . "c283655e"], $_2b54660b2595d6c73e7cccac2a759239, $user_id);
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_be8ffbbf7ecb1910c0f8" . "639476d66e7e"], $_2b54660b2595d6c73e7cccac2a759239, $user_id);
        } else {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d59435061a43acf8" . "23638d75444f43f9"], $user_id);
            $db->query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_524af00542d2a2ea" . "f8ced927e95b2be2"], $user_id);
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_66680e34e2cae6a0801bf9988ff" . "68a82"], $user_id);
        }
    }
}